function getErrMsg(errCode)
{
	var returnString="";

	errCode=errCode+"";
	terrCode=errCode;
	var len = errCode.length;
	errCode=errCode.substring(len-4);
	switch(errCode)
	{
		case "4001": returnString= "Failed to open File Backup configure file.";break;
		case "4002": returnString= "Database has been opened!";break;
		case "4003": returnString= "No data is found!";break;
		case "4004": returnString= "Internal error! Error Code: "+terrCode+"Please close Backup and Restore and try again.";break;
		case "4005": returnString= "Database has not been opened!";break;
		case "7000": returnString= "The operation completed successfully";break;
		case "7012": returnString= "Failed to get backup information.";break;
		case "7013": returnString= "Internal error! Error Code: "+terrCode+"Please close Backup and Restore and try again.";break;
		case "7016": returnString= "Out Of Memory";break;
		case "701c": returnString= "Not Enough Free Disk Space";break;
		case "7108": returnString= "Failed to create file.";break;
		case "7115": returnString= "Failed to open database.";break;
		case "7116": returnString= "Failed to get backup information.";break;
		case "7117": returnString= "Failed to initialize backup job.";break;
		case "7118": returnString= "Failed to create backup file.";break;
		case "7119": returnString= "Failed to initialize the operation.";break;
		case "711a": returnString= "File not found or not supported to backup.";break;
		case "711b": returnString= "Failed to close the operation.";break;
		case "711c": returnString= "Failed to read disc";break;
		case "711d": returnString= "Disc does not have enough space for storing data";break;
		case "711e": returnString= "Failed to create burning information file.";break;
		case "711f": returnString= "Failed to create burning information file.";break;
		case "7120": returnString= "Failed to create burning information file.";break;
		case "7121": returnString= "Failed to write file";break;
		case "7122": returnString= "Failed to create burning information file.";break;
		case "7123": returnString= "Failed to create burning information file.";break;
		case "7124": returnString= "Failed to create burning information file.";break;
		case "7125": returnString= "Failed to create burning information file.";break;
		case "7126": returnString= "Failed to create burning information file.";break;
		case "7127": returnString= "Failed to create burning information file.";break;
		case "7128": returnString= "Failed to read disc.";break;
		case "7129": returnString= "No disc drive found!";break;
		case "712a": returnString= "Internal error! Error Code: "+terrCode+"Please close Backup and Restore and try again.";break;
		case "712b": returnString= "Failed to read disc.";break;
		case "712c": returnString= "Failed to get disc information.";break;
		case "712d": returnString= "Failed to get disc information.";break;
		case "712e": returnString= "Failed to get disc information.";break;
		case "712f": returnString= "Internal error! Error Code: "+terrCode+"Please close Backup and Restore and try again.";break;
		case "7130": returnString= "Failed to write backup information.";break;
		case "7131": returnString= "Failed to burn data to disc";break;
		case "7132": returnString= "Failed to close session.";break;
		case "7133": returnString= "Failed to create restore information file.";break;
		case "7134": returnString= "Failed to get specified project information.";break;
		case "7135": returnString= "Internal error! Error Code: "+terrCode+"Please close Backup and Restore and try again.";break;
		case "7136": returnString= "Failed to retrieve disk path.";break;
		case "7137": returnString= "Project file is missing or corrupt.";break;
		case "7138": returnString= "Internal error! Error Code: "+terrCode+"Please close Backup and Restore and try again.";break;
		case "7139": returnString= "Internal error! Error Code: "+terrCode+"Please close Backup and Restore and try again.";break;
		case "7140": returnString= "Failed to find USB device!";break;
        case "7141": returnString= "Failed to copy files!";break;
		case "7142": returnString= "Failed to burning data to disc";break;
		case "7143": returnString= "Failed to load dynamic database";break;
		case "7144": returnString= "Failed to back up files.";break;
		case "7145": returnString= "Failed to burning data to disc";break;
		case "7146": returnString= "Previous backup data cannot be found. Please make sure the destination location is accessible.";break;
		case "7147": returnString= "The device has not been found or net name has been deleted.";break;
		
		
		case "7fff": returnString= "Internal error! Error Code: "+terrCode+"Please close Backup and Restore and try again.";break;
		case "3001": returnString= "The operation completed successfully.";break;
		case "3002": returnString= "Internal error! Error Code: "+terrCode+"Please close Backup and Restore and try again.";break;
		case "3003": returnString= "Internal error! Error Code: "+terrCode+"Please close Backup and Restore and try again.";break;
		case "3004": returnString= "Failed to write data onto the Disc.";break;
		case "3005": returnString= "No disc found.";break;
		case "3006": returnString= "Burning Error. Error Code: "+terrCode;break;
		case "3007": returnString= "Failed to close the disc.";break;
		case "3008": returnString= "Failed to initialize data verification.";break;
		case "3009": returnString= "Data error found";break;
		case "300a": returnString= "Failed to verify data.";break;
		case "300b": returnString= "Internal error! Error Code: "+terrCode+"Please close Backup and Restore and try again.";break;
		case "300c": returnString= "DVD disc required.";break;
		case "300d": returnString= "CD disc required.";break;
		case "300e": returnString= "The disc does not have enough space";break;
		case "9000": returnString= "The operation completed successfully";break;
		case "9001": returnString= "Failed to Delete Project!";break;
		case "9002": returnString= "Failed to cancel project creation";break;
		case "9003": returnString= "Failed to close session";break;
		case "9004": returnString= "Verify data error!";break;
		case "9005": returnString= "Open database error!";break;
		case "9008": returnString= "Open database error!";break;
		case "9fff": returnString= "Internal error! Error Code: "+terrCode+"Please close Backup and Restore and try again.";break;
		case "a000": returnString= "The operation completed successfully.";break;
		case "a001": returnString= "Failed to open database";break;
		case "afff": returnString= "Internal error! Error Code: "+terrCode+"Please close Backup and Restore and try again.";break;
		
		//George------------------------------------------------
		case "4561": returnString= "Out of memory";break;
		case "4562": returnString= "Internal error! Error Code: "+terrCode+"Please close Backup and Restore and try again.";break;
		case "4563": returnString= "Failed to read disk";break;
		case "4564": returnString= "Failed to write disk";break;
		case "4565": returnString= "The image file is damaged";break;
		case "4566": returnString= "Failed to read data";break;
		case "4568": returnString= "The specified file already exsits";break;
		case "4569": returnString= "The specified file does not exist";break;
		case "4571": returnString= "The image file is damaged";break;
		case "4572": returnString= "Internal error! Error Code: "+terrCode+"Please close Backup and Restore and try again.";break;
		case "4573": returnString= "Internal error! Error Code: "+terrCode+"Please close Backup and Restore and try again.";break;
		case "4574": returnString= "The image file is damaged";break;
		case "4575": returnString= "The image file is damaged";break;
		case "4576": returnString= "Reading the data file is complete, need to read next data file";break;
		case "4577": returnString= "The image file is damaged";break;
		//------------------------------------------------------
		//fresh-------------------------------------------------
		case "a002": returnString="Failed to initialize the operation";break;
		case "a003": returnString="The backup information file doesn't exist";break;
		case "a004": returnString="Failed to close the operation" ;break;
		case "a005": returnString="Failed to copy file";break;
		case "a006": returnString="Destination path too long";break;
		case "a007": returnString="Disk space full";break;
		case "a008": returnString="Failed to open backup information file";break;
		case "a009": returnString="Failed to open backup file";break;
		case "a00d": returnString="Wrong database version.";break; 
		case "a00e": returnString="The backup storage location is read-only. Please make sure it is writable.";break;
		//------------------------------------------------------
				
		default: returnString= "Internal error! Error Code: "+terrCode+"Please close Backup and Restore and try again.";break;
	}	
	return returnString;//+"Error Code: "+terrCode
}
